---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: time-server-t2
spec:
  replicas: 3
  selector:
    matchLabels:
      app: time-server-t2
  template:
    metadata:
      labels:
        app: time-server-t2
    spec:
      terminationGracePeriodSeconds: 0
      containers:
        - name: time-server-t2
          image: server:t2
          readinessProbe:
            httpGet:
              scheme: HTTP
              path: /health
              port: 8080
            initialDelaySeconds: 3
            periodSeconds: 2
            failureThreshold: 1
            successThreshold: 2

---
apiVersion: v1
kind: Service
metadata:
  name: time-server-t2
spec:
  selector:
    app: time-server-t2
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080